# Enum Class ResourceType

java.lang.Object
java.lang.Enum<ResourceType>
uk.ac.starlink.topcat.ResourceType

All Implemented Interfaces:
  `Serializable, Comparable<ResourceType>, Constable`

public enum ResourceType extends Enum<ResourceType>
Defines different kinds of resources that can be at the end of a URL. This is used for the purposes of deciding what actions to invoke on it, for instance in the context of DataLink.

Since:
  6 Feb 2018
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DATALINK`
DataLink {links}-response table.
`FITS_IMAGE`
FITS file to be interpreted as 2D image data.
`IMAGE`
Graphical image, typically not FITS (PNG, JPEG etc).
`SPECTRUM`
Some kind of spectrum.
`TABLE`
Table.
`UNKNOWN`
Unknown resource type.
`WEB`
Something that can be displayed in a web browser, for instance HTML.

## Method Summary

Modifier and Type
Method
Description
`static ResourceType`
`guessResourceType(ResourceInfo resInfo)`
Attempts to determine the type of resource characterised by available information.
`static ResourceType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ResourceType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TABLE

public static final ResourceType TABLE
Table.

### DATALINK

public static final ResourceType DATALINK
DataLink {links}-response table.

### FITS_IMAGE

public static final ResourceType FITS_IMAGE
FITS file to be interpreted as 2D image data.

### SPECTRUM

public static final ResourceType SPECTRUM
Some kind of spectrum.

### IMAGE

public static final ResourceType IMAGE
Graphical image, typically not FITS (PNG, JPEG etc).

### WEB

public static final ResourceType WEB
Something that can be displayed in a web browser, for instance HTML.

### UNKNOWN

public static final ResourceType UNKNOWN
Unknown resource type.

## Method Details

### values

public static ResourceType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ResourceType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### guessResourceType

public static ResourceType guessResourceType(ResourceInfo resInfo)
Attempts to determine the type of resource characterised by available information. Works on a best-efforts basis.

Parameters:
  `resInfo` - resource information
Returns:
  best guess at the type of resource corresponding to the given information